#version 100
precision mediump float;

attribute vec2 vPosition;

uniform mat4 scale;
uniform mat4 rotate;
uniform mat4 translate;

varying vec2 ProgressCoordinate;

void main() {
    gl_Position = translate * rotate * scale * vec4(vPosition, 0.0, 1.0);
    ProgressCoordinate = vec2(vPosition.xy);
}
