#version 100
precision mediump float;

attribute vec3 vPosition;
attribute vec2 vTexture;

uniform mat4 scale;
uniform mat4 rotate;
uniform mat4 translate;

varying vec2 TextureCoordinate;
varying vec2 ProgressCoordinate;

void main() {
    gl_Position = translate * rotate * scale * vec4(vPosition, 1.0);
    TextureCoordinate = vTexture;
    ProgressCoordinate = vec2(vPosition.xy);
}
