#version 100

precision mediump float;

varying vec2 TextureCoordinate;

uniform sampler2D effectTex;
uniform float alpha;

uniform float scoreRed;
uniform float scoreGreen;
uniform float scoreBlue;
uniform float scoreAlpha;

void main() {
    vec4 scoreColor = vec4(scoreRed, scoreGreen, scoreBlue, scoreAlpha);
    gl_FragColor = texture2D(effectTex, TextureCoordinate) * scoreColor * alpha;
}