#version 300 es
precision mediump float;

layout (location = 0) in vec2 vPosition;
layout (location = 1) in vec2 vTextureCoord;

uniform mat4 scale;
uniform mat4 rotate;
uniform mat4 translate;

out vec2 TextureCoordinate;

void main() {
    gl_Position = translate * rotate * scale * vec4(vPosition.xy, 0.0, 1.0);
    TextureCoordinate = vTextureCoord;
}
