#version 100
precision mediump float;

attribute vec3 vPosition;
attribute vec2 vTexture;

uniform mat4 scale;
uniform mat4 rotate;
uniform mat4 translate;

varying vec2 TextureCoordinate;

void main() {
    gl_Position = translate * rotate * scale * vec4(vPosition, 1.0);
    //将纹理坐标转换为（-0.5, -0.5)-(0.5,0.5)
    TextureCoordinate = vTexture - vec2(0.5, 0.5);
}
